std::gslice_array< _Tp >(3cxx)

NAME
std::gslice_array< _Tp > - Reference to multi-dimensional subset of an array.

SYNOPSIS

#include <gslice_array.h>

  Public Types

typedef _Tp value_type

  Public Member Functions

gslice_array (const gslice_array &)
Copy constructor. Both slices refer to the same underlying array.
template<class _Dom> void operator%= (const _Expr< _Dom, _Tp > &) const
void operator%= (const valarray< _Tp > &) const
Modulo slice elements by corresponding elements of v.
template<class _Dom> void operator&= (const _Expr< _Dom, _Tp > &) const
void operator&= (const valarray< _Tp > &) const
Logical and slice elements with corresponding elements of v.
template<class _Dom> void operator*= (const _Expr< _Dom, _Tp > &) const
void operator*= (const valarray< _Tp > &) const
Multiply slice elements by corresponding elements of v.
template<class _Dom> void operator+= (const _Expr< _Dom, _Tp > &) const
void operator+= (const valarray< _Tp > &) const
Add corresponding elements of v to slice elements.
template<class _Dom> void operator-= (const _Expr< _Dom, _Tp > &) const
void operator-= (const valarray< _Tp > &) const
Subtract corresponding elements of v from slice elements.
template<class _Dom> void operator/= (const _Expr< _Dom, _Tp > &) const
void operator/= (const valarray< _Tp > &) const
Divide slice elements by corresponding elements of v.
template<class _Dom> void operator<<= (const _Expr< _Dom, _Tp > &) const
void operator<<= (const valarray< _Tp > &) const
Left shift slice elements by corresponding elements of v.
template<class _Dom> void operator= (const _Expr< _Dom, _Tp > &) const
void operator= (const _Tp &) const
Assign all slice elements to t.
gslice_array & operator= (const gslice_array &)
Assignment operator. Assigns slice elements to corresponding elements of a.
void operator= (const valarray< _Tp > &) const
Assign slice elements to corresponding elements of v.
template<class _Dom> void operator>>= (const _Expr< _Dom, _Tp > &) const
void operator>>= (const valarray< _Tp > &) const
Right shift slice elements by corresponding elements of v.
template<class _Dom> void operator^= (const _Expr< _Dom, _Tp > &) const
void operator^= (const valarray< _Tp > &) const
Logical xor slice elements with corresponding elements of v.
template<class _Dom> void operator|= (const _Expr< _Dom, _Tp > &) const
void operator|= (const valarray< _Tp > &) const
Logical or slice elements with corresponding elements of v.

  Friends

class valarray< _Tp >

Detailed Description

  template<typename _Tp>
class std::gslice_array< _Tp >"Reference to multi-dimensional subset of an array.

A gslice_array is a reference to the actual elements of an array specified by a gslice. The way to get a gslice_array is to call operator[](gslice) on a valarray. The returned gslice_array then permits carrying operations out on the referenced subset of elements in the original valarray. For example, operator+=(valarray) will add values to the subset of elements in the underlying valarray this gslice_array refers to.

Parameters
    Tp Element type.

Member Function Documentation

  template<typename _Tp> void std::gslice_array< _Tp >::operator%= (const valarray< _Tp > & ) const

Modulo slice elements by corresponding elements of v.

  template<typename _Tp> void std::gslice_array< _Tp >::operator&= (const valarray< _Tp > & ) const

Logical and slice elements with corresponding elements of v.

  template<typename _Tp> void std::gslice_array< _Tp >::operator*= (const valarray< _Tp > & ) const

Multiply slice elements by corresponding elements of v.

  template<typename _Tp> void std::gslice_array< _Tp >::operator+= (const valarray< _Tp > & ) const

Add corresponding elements of v to slice elements.

  template<typename _Tp> void std::gslice_array< _Tp >::operator-= (const valarray< _Tp > & ) const

Subtract corresponding elements of v from slice elements.

  template<typename _Tp> void std::gslice_array< _Tp >::operator/= (const valarray< _Tp > & ) const

Divide slice elements by corresponding elements of v.

  template<typename _Tp> void std::gslice_array< _Tp >::operator<<= (const valarray< _Tp > & ) const

Left shift slice elements by corresponding elements of v.

  template<typename _Tp> void std::gslice_array< _Tp >::operator>>= (const valarray< _Tp > & ) const

Right shift slice elements by corresponding elements of v.

  template<typename _Tp> void std::gslice_array< _Tp >::operator^= (const valarray< _Tp > & ) const

Logical xor slice elements with corresponding elements of v.

  template<typename _Tp> void std::gslice_array< _Tp >::operator|= (const valarray< _Tp > & ) const

Logical or slice elements with corresponding elements of v.

Author

Generated automatically by Doxygen for libstdc++ from the source code.